# Created by pyp2rpm-3.3.2
%global pypi_name python-u2flib-host
%global srcname u2flib-host

Name:           python-%{srcname}
Version:        3.0.3
Release:        11%{?dist}
Summary:        Python based U2F host library

License:        None
URL:            https://github.com/Yubico/python-u2flib-host
Source0:        https://files.pythonhosted.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

Patch01: 0001-handing-write-failures-better.patch
Patch02: 0002-fix-test-for-test_init.patch
Patch03: 0003-add-Google-Titan-Feitian-devices.patch
Patch04: 0004-Add-Feitian-Technologies-Inc.-ePass-FIDO-to-devices.patch
Patch05: 0005-Add-Thetis-and-JaCarta-devices-close-36-close-39.patch
Patch06: 0006-Added-OnlyKey-device.patch
Patch07: 0007-Add-Trezor-VID-PID-close-42.patch
Patch08: 0008-Add-reference-to-python-fido2-in-README.patch
Patch09: 0009-Add-Nitrokey-devices.patch
Patch10: 0010-Add-SoloKeys-devices.patch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-cryptography >= 1.0
BuildRequires:  python%{python3_pkgversion}-hidapi >= 0.7.99
BuildRequires:  python%{python3_pkgversion}-requests
BuildRequires:  python%{python3_pkgversion}-setuptools

%description
Pure Python implementation of U2F library for host, i.e. for communication
between client and token.


%package -n     python%{python3_pkgversion}-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{srcname}}
 
Requires:       python%{python3_pkgversion}-cryptography >= 1.0
Requires:       python%{python3_pkgversion}-hidapi >= 0.7.99
Requires:       python%{python3_pkgversion}-requests
Requires:       python%{python3_pkgversion}-setuptools
%description -n python%{python3_pkgversion}-%{srcname}
Pure Python implementation of U2F library for host, i.e. for communication
between client and token.

%prep
%autosetup -n %{pypi_name}-%{version} -p1
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%check
#%%{__python3} setup.py test

%files -n python%{python3_pkgversion}-%{srcname}
%{_bindir}/u2f-authenticate
%{_bindir}/u2f-register
%{python3_sitelib}/u2flib_host
%{python3_sitelib}/python_u2flib_host-%{version}-py?.[0-9]*.egg-info

%changelog
* Mon Sep 10 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 3.0.3-1
- Initial package.
